package com.yiboshi.science.entity;

import com.yiboshi.science.base.BaseEntity;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * 年度设置表
 * 
 * @author lkl
 * @version 2021-08-26
 */
@Getter
@Setter
public class ComBatch extends BaseEntity {
    /** 年度 */
    private Integer year;
    /** 批次 */
    private Integer batch;
    /** 时间类型 1项目申报  2任务书上报 3中期考核 */
    private Integer timeType;
    /** 批次类型 1科研项目申报  2重点学科申报 */
    private Integer projType;
    /** 申报开始时间 */
    private Date reportStart;
    /** 申报结束时间 */
    private Date reportEnd;
    /** 审核开始时间 */
    private Date auditStart;
    /** 审核结束时间 */
    private Date auditEnd;
    /** 专家审核开始时间 */
    private Date expertStart;
    /** 专家审核结束时间 */
    private Date expertEnd;
    /** 备注 */
    private String remark;
}